Subject: git 1.7.10.msysgit.1: different behaviour in ".gitignore" and ".git/info/exclude"

From: Thomas Wichern <[email-masked]>
Date: Wed, 30 May 2012 10:43:56 +0200

Hi,

I noticed the following difference when using the pattern "/(*)/"
(ignore all directories where the name is enclosed in parenthesis)

If you have a ".gitignore" - file that contains the pattern "/(*)/", a
directory that matches the pattern is ignored completely.

If you put the same pattern into the ".git/info/exclude" - file, the
pattern does not work - these directories still show up.

I expected that all directories anywhere the repository that match the
pattern to be ignored.

Am I doing something wrong? Is the pattern not correct?

Horrido,
Thomas

---
git version 1.7.10.msysgit.1
Windows 7 Pro